## autodisconnect 0.2.1

=== Makefile ===
#############################################################################
# Makefile for building: autodisconnect
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Feb 22 16:03:28 2010
# Project:  autodisconnect.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile autodisconnect.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/calvin/dev/autodisconnect-0.2.1/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/calvin/dev/autodisconnect-0.2.1/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: autodisconnect.pro  /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/linux-g++/qmake.conf /targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile autodisconnect.pro
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/g++.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_X86/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile autodisconnect.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

## autodisconnect 0.1

=== debian/changelog ===
autodisconnect (0.1) unstable; urgency=low

  * Initial release for Maemo 5 (Nokia N900).

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Wed, 18 Feb 2010 15:00:00 +0000

=== debian/control ===
Source: autodisconnect
Section: user/network
Priority: extra
Maintainer: Aymeric Brisse <aymeric.brisse@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
Standards-Version: 3.7.3
Homepage: autodisconnect.garage.maemo.org/

Package: autodisconnect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Automatically disconnect the idle connections
 AutoDisconnect automatically disconnect the idle connections of your device.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5016&group_id=1353&func=browse
XSBC-Maemo-Display-Name: AutoDisconnect
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAEwlJREFUeNrUWWuMHeV5fud2
 7nv2dvbuXXZtL14HQwzYhItJoVwStaUQKClQQDSFpJRaQfnRNlHbOCWqVJCo
 BFVbtY3a1KjkRxRIEFRtRVGhlACWaxuv7bUX3/bivZ/rntvMnOnzfDOz7Fkn
 tLT505G+M2fmzHzf+7zX5/2O5nme/H8+zPUXy8vLsrq6unat67qYpimapuPK
 E9d1BRfiNRqSTCYlFosJ4ZeKRbFtWxzHCZ7XdCgmahimpemahuc9/Obih7om
 YjfwPueORqNq8B0qku/zPn/HHEqGer0u5XL5IsH5TDqdFm29BR544AF58cUX
 165TqZQMj2yWZEuLuJj8wuysmJYp+VxeHnv0Ubn9tluljvvPPf+8TE1NbTat
 yGX9/QNXxRPxLV5D+mLxeFutXrOKhUJjtVQqAcNcvVY9V62UD9t2/cgN111/
 6oY911eGh0eUAj788EMlVD6fXwP2/vvvywv794tuGGugeGA6efLJJ5stwBfW
 H5FIRCzLUgOKVNcEEN7DjLFqufz5S7eN3dM3OLy7q7t7M5RvGaYh0L7E8CyE
 lVwuJwP9vVKtVmVqekYW5helWMzPROPxowD1I8MwXob2Z3FWFuA5HJSJ624E
 wO/8zfxkHue7EWxmVmrVX4bLfbVeq117+Y4dkflsXhpuQ1pTSSXEaqUiIwN9
 Mre0Ii0tadk82C8O3h0aGJAj48fk/NT0wMzc/EC19v7nyuXKk+1trX8di0b/
 Fu8u/a9j4L87Gg1XYtHYpZ/9uZv29fb1/SrA6BHEQSplSXt7u5Sh4ZZkgvpR
 IGLQXLFSkxLAEMimvh4xocnLto9JrVZHvJXgCqvyHz9+d3R0y8jTqZaWezOd
 maeg3Vd+5gAYTP39m+7edtnlfzKyeWRrd1f3WhBGohH4sCuZzg7RILhddxDg
 ERpMxraOSG93Rs5OzUi2UJSujnYxkSj43Ah8f2VlRU5MTMjhD45Kazq9e9Om
 gReHBjc9g3mfAZDyzwSAgwBr7+jcu237ZU93ZDIxpyGyki9KpqNDUtC4FbEQ
 G4gL01IadpEhkHggcAFaLstAT7fMzi/I6XNT0tHWKmkkBSsSldm5eViiBhdr
 UefNm0cIIlmpVPfZtrO1s7NzL4Dm/g8ANPitI5l0+msQ/pl0Wxtiiak1woXU
 wvF4TAV0GIDManSXuu0IM6eBYJtG0NbrtkSsiExMnlauxXcImofrJpSFFxaX
 VHrk0d7W9iBSegop+EuYMxveX4tGrMN7HwuAeTmdbn1489ZLvw3/1P2MEMXi
 vgCJRAwuFFMZgcMHgECGVQrlukQjDelpT0sDi/XBjc6cPScnACBfLKkMwjpS
 w3sxxJadSMgiAJw5fQZrWLLz01fI/Pz8XSdPncrF4/GvsIZwfgnSvg3AKiv+
 VN1j4rb2ts+Mjm1/NtWSjuu64WsNbpJKxmWgt1sJz0lDAD4IE67VBhfx3TcR
 j6tix9+u2LFdCX5sYlIc3Vau5sLCLhWDWELNEAPfmXanpqelu6tLCvnCIwOb
 Bo91d3c9w/VDSxRRPAcHB386gI7Ozrard3/m2ZZ0a6eua0H+jwhzfAtSZQbB
 SLcJK7bSDjVj+9W4vSWlNK8KJUatXlfxsKm/T5ZXcjK3sICYMcWBQgzTUcqh
 i9nQKsHQpbq7u2VsbBun/Xpvb++BRCLxRlh4WZ2HhoaaARiBEAYEHhy85Lcy
 3T3Xh4WFmtdBKZjnN/X1Kk2tdx3fEki1HooX/N00/DTqaZ6w/FDb0xfmEBM6
 0m5SrFxEad/QGTtB4cKcPBMMKjtcMCqjo1t53Q7q8o2Ojo53w8wUAtTXA6BP
 8uju7r10eMuWx6hJxYcM/0zt9/d0SXtr+iLhfQAQGik1Hov6lROKoECKLyHf
 o4agJlSlVF5VzxnBvATA56kgVf0jEQXmxIkJlWa5DgL6VrjNPcxWFdQVWoAg
 mgDUkS559A4MPNCSTg8zkSvB1CK+MFYAKizrzf7vP4eKKqlEfC0z1WCRCq2C
 4PSzVkQJbarfOQ/IG1BGocAkXM80fCriei4DWZFH+j6oyBMI6ASLJge+NwOg
 6XCzK9PVda8RaDQUSgkNQLbrKlcJBb4YABfX165VTfBIDFsUg+Vc4W+cSK2Z
 SEoKaZm/O4ghvkNYVMB5uBKJG70BhO9q3LuFwre2tl4MgMGGzLInmWr5VCMI
 Fu2jkoChSxYFzHW9j7HAR2QsdCu6hAn3U4KCF9FN+Dp/T6VbpbW9TQHkswx2
 r+GF1GutXgQU2wRTvYMuRE7G0QTARt5vbWu73QgKEmcIybYX1BHSZwbfemYY
 AgnPIRBWY/o2s4qhmK6H7zGBeyqNEiRzvu8irsp0pNPxwP0odBdSKelKmH0g
 9LUA0M++hRRc30CfE1jsGj5MLVCA0P/UANuU4LtIcydH13KUu/gVklVYaAVk
 LzVfUBjZV3Be1234164/r5rT812HSYOgqQRF5YPsqFzSdYehpFGyAAJrAhBP
 JEZg7ksUZcZkTcJDQ/j0G4/zM1IsVfwAhHDM/ZWag6/QumbASr55fSCOYp7M
 GHwu7NzoVlFkqwafU+6AZ92Ges9/p6aUdOrUKZlFI0UggXVboJDt4fxNdQCa
 GMQpGfqXPxy/BwAAcH9ZqdYkh44pjWrclk4pzTYA1obQVRsNhudbiZpWv6mc
 bePdun+u+2BUM4JsVKsX163jBABsqYGa05plpF9W5ksuuWQtvuA+o5hDQ3Hz
 NhayDFBFOAG14JvcB1ICf7GdLKhBUmWAMni+CiJMWIVwBVRZpuEEtEpt0nqs
 AwoYfqdGawBfr9cUAF7zuwMazkaH65D18ruKJd3vvWkFzhvWpCA2+vG+7rIh
 aQpEQ0+5jq37wtsSAqkh6nO5rFogwWYexCuP1JYHH6FZIwi+CCaOI9OY8KoS
 AmwVBQu0WGwI6tp1WNfBvbK6p8AEANAbq3ltrKXci9eO47MCz2ed40fH5ezZ
 syrNMoPhXQ2FTOPzTRaIRiIGtUdXsREgtjJ3TWkDDTpIXEoJUqEgqIQTWGTL
 cENVVboUiVsOoIoAZxiWihtqW0OVsuE+rMnqXbhHtUZwti88B8EwTur+tbKi
 5gUNfFEOHjyoMpIiiImEh3FxTwzkdVhgzU85rMBfo7G4Kt81LAxqDQAV9X1p
 eYWsFZPGpQsFpqerU1rwfXZ+SVEPClOF1jkXha1S+3UKXw8UtH747uVbA1Zz
 /ATCbEP2+eabb6pYuPzyy5UrqcZ+Q5OA7keD1WtWBAv5RcQMCpO5Zlpmk0ZA
 hVehbWozCeusgGXyfiIeVcLUiugJAL6zNSUFxFAOc7a1JCSbtSUPZbDuMFip
 CJ6rQYzYYcYCELoQfZ+uQzlYJ3BdRiC7F7kQzHIBRKxer1atmuL+pl9wQA88
 lS5tRbgsgmMBQsYxLQTf0pLkkSmoKZp7eHBAUvGIrEJrPegN4lGkQC8uEVP3
 AxWNUDYLggah6xC+gphhda1UK76FCAT3+SzX9QteRO1TgZFSzrOwlKeIZlMM
 RKNnESjZ1XI5SXcJ6a0GAOHuGHO3qtCeX4BMaCrcB+K+Dy0wyexE8gcTYyq4
 m6dqgXInJTT64CR5jIdrU+oQvFgsqF2KympZAaFF2M5ahrm2N8QgBoAG5pnk
 LiJBNwHIZrMzQDcOITYxEOk+ihYo9hYUX1ZaCG4xXweNiG775I1uxOcpBN0r
 AeZZQM0IrcfhFzT/u+faiiBWQK+zEKgI6zGzlaF97j5pUB6zXjwCFoy5VBay
 IkugHydQA9BYtTQDgH95YHhv4sHPFQoFKRaQJgM6F/IRFheyRWqHBIz3Q82S
 iZICqMCDi6ViEYGzqtwe1pVwhIFLy7JT06AsF1nrU719ssWLyMByRbSlvMxU
 XZk2YNE+Syz013o8eqzqOJOOoUlD37Arcf78eTl9+vS/3HTTTd9YXFxILiws
 SUnRBV/zZIU2mSCKDjORBFVWN3TF8elWq6tFgOQ7MSVcWPL9oP+owhMwM0sW
 sZPDO4OxpPzOr98lN+7aLd3nl0U/eFTk6ITMnTsrBy4syGzhjLjtgxLZbL9q
 oHw3aq5YzgYqMTIyIuPj40dggX8bGdn8C9QMXUktzl05dmxwFQpAzs8qzGBj
 rJCANRqGosMEm4DZWayobS/ojTn4Lu+THiwsLsqF7LLsdKPyzbvvkpFrdkrp
 zJQsHj8lTrUkMtAhRmtMrljplSvn5iTy3gkx3zqRWl5alIJWkt5HH20GkMlk
 pKenhyzqBeTb2+BG1pkzZ1RlVaUeaY31gCFB83sIPEs15aYPSPc7LLoZgWm9
 PQp0uJNA4WkVxJpqFWdWlmVr3pY/vvFm6UByOPePr4u5WvW3TtgTgBy6Bpr8
 VKvYA6QotrTY+u9FL6zMFatLf5lA0Jsbd6NJU7HQK2iY3xwdHb2Fgs7MzEih
 4P8HEI/XVevH+9xFMLgjB+0z4EyW/6Djytk+HdkKq1LwME7oNhR+OZ8To7Aq
 v905Ku2puCwkkGXu+UWpvvqvYiwsKyoOE3M3QGyAsX7ji+Lh+ZXvvxaNbOl5
 Kj/+4dsJzf1gYyVWgkHzJWjuabjUDVg0xsxCSkuzF1CcIhCE+6H+Hr61RrTC
 LXAtcDNW9XYUHlbpiuJGFfUHShXnEgrWHj0uV/Z0yXJ7i/Q++CsSAT3IwRKF
 73xPrGwR2c1VDVT0kbslc/+dKp0sLeVE/8FrmW6t9TfhuE80ATh37pwcOHBA
 FQwI98/333//n6Nsfy3sl+kO1B59mNWSghhBsfOZohk06f5RgJazcBPuhfb1
 9ak0qOKJxQniXNfaKY0IRECQuodPiFx3lbTt3CHyyL1SfO67AmIl0Ye+IJn7
 7lCNi3PyjJinp8SDS7Un05+3NelqAvDRHpC/5wOt/9G2bduu3LFjx80EQI2T
 RBEEi049IF7rG3xZ/ycE8z80OI3GnHs4VAxdCKVd2q2oDMWTik434DLZv9gv
 Hp5N3HiNtF39afHgMnXwqQzcitsJNoQv7nteGlMXFDOI1yo9Fd0baQLABTo7
 OxXf4AFr5OEKj998883fh/A7uAvAZ/g7A5G1gkHps0dXNm7Ahq7E2Orv71cW
 UPwKlorHdUlCtAZIoYaa4S5nJffc34mGih2/6Vpp/+y1/pYk29Wjp6T09F+J
 NzMnOuKuMT4pll00E5re0QRgenpaTpw4obQcpjzUholSqfTQnXfe+T0Iv43/
 Yy0sLKimhv9lccuDfu3z+/pPzPt79uyRsbExuXDhQtCJmWLpqLRlVGNm3SgK
 FYB588uy9Ox3JDO8SeJbh5XwDgDm/uzvRZs4Izoz2rFJkYUVZB9T79GMaBOA
 JZAyugfHekUilR6an5//wsMPP/w3u3btup4g5pCXGdQEEQLgYKYJqQKDliX/
 lltuUUrh/FYQMyvLiyBuSVTgJPOraI2y6omj9/2SRPp6PuoSEdTmPbdL5chJ
 iRwYF6nZyqXgtK7V0IsXxcBPOqBF4+WXXz4+OTn5xb179z61c+fOhwDIpMUI
 llagb5NgMYYcx6fbDHoCIIMMKQTZZj6L6gvXW3JN2W4b/N9VaqThex+W7scf
 VNzLPnpSXMRG7Oevk/bbboS1qlL+8jclirOGzKc5WkXztGlj3759a4K+9NJL
 cuTIkYv/5RCVBKJwneJbb731BjQ9DZdAlh3pYt1Y/28md80Y7BSeMcOY2r59
 u9oifOedd9SmLemzg+zTr5lydR7ZDDQ78fhD0r33ESW8c/xDyT2xT2ov/EiM
 kU1ibtsssbEt0hgbFufgcbHYj9fLP3Z37Xz+fwJgzUDceYHwkUOHDh1/7733
 3oGLFIeGhjpQtTtRwVUlp/DBFqUKWgJkMJ88eVIFvcpmABcFu6yA7F01lZWO
 baOS+dPfR1E0leazX/q6NA5P+DHw7wfFQEyYlw5LDEAas4tivDeO2Cnu03df
 9Z+fBIAWDLpdAv5fQ596HG3eIcTIFILeRZDH4EIWzgY1T0AEwLggMGawYKfZ
 ya9kC4dmz09W8oWlW6dLXcw+HgDnvvIH4rx/WHTuowKkVkVrefCYGFuGxEMq
 tb77iugL2R/O1xe+Fdm9y2n6px5BKvv37/84APxTK0JLMOuuG6SmnXCfIeT7
 kba2tgF874IbJRFXFgLahNA6gtheXFwsA3we1mOmWAKzyn1bMtd+We+4sdKW
 kjraUkMHv+LGbTrlD+5o9/dIwvakdGTi7W8tjj/0emPxzK89/tVP9D8xkXL/
 3Q0Gv4N5SSU8Z/1jMgDFYpIMwBK0sW6OevDOakW8/D5Zfme10fjgsZX6fR0S
 63AUkUOe0dDI6NxmTCCgc97bM2dffWbx2O/+sAFujeNqqX3Sf+qVAG6weD0Q
 HrxX+Fcoe81YMKLBsIJhBDGkBe87ARAy3zo6iNIfyvK7b0jlB/dK6x1XSWxP
 p6336Ku6lbPL9cPzp8//U3HutdfslX8oopwFbuwgF31iABuBuAGQciCgHgi7
 cWgb3g13HZ11Z+cNKc9ivJ4RoyNtG52Sl2gRncGiNOhu+WC9puO/BBgA4z85
 X5r06jAAAAAASUVORK5CYII=

## autodisconnect 0.2

=== debian/changelog ===
autodisconnect (0.2) unstable; urgency=low

  * Fix [#5214] : Connection delay - Reporter : amorek13 - Many thanks to mclarson for solving the problem
  * Fix [#5216] : Increase the digits visible in the input fields - Reporter : jakiman
  * Fix [#5222] : Configure Uninstaller & Installer
  * Fix [#5225] : Prevent 2 instances of AutoDisconnect to be run at the same time

  * Enhancement : Punctual connections (~20 seconds) will be closed during the next interval check instead of the second next one.

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Sat, 20 Feb 2010 17:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,26 @@
 Priority: extra
 Maintainer: Aymeric Brisse <aymeric.brisse@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
-Standards-Version: 3.7.3
+Standards-Version: 3.7.2
 Homepage: autodisconnect.garage.maemo.org/
 
 Package: autodisconnect
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Automatically disconnect the idle connections
- AutoDisconnect automatically disconnect the idle connections of your device.
+ The package contains a GUI (Category Network) in order for you to set some parameters :
+ * the connections to check (Wifi or 3G)
+ * the interval between 2 checks (in minutes)
+ * the max idle traffic (in bytes / minute)
+ ---------------------------------------
+ Exemple
+ ---------------------------------------
+ Max Idle Traffic = 512 Bytes
+ Interval = 5 Minutes 
+ -
+ Every 5 minutes, if the total traffic of your connection if less than 512*5 = 2.5 KB, it won't be closed. 
+ -
+ Remark : In order for the settings to be applied, you have to close the current connection.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5016&group_id=1353&func=browse
 XSBC-Maemo-Display-Name: AutoDisconnect
 XB-Maemo-Icon-26:

## autodisconnect 0.2.1

=== debian/changelog ===
autodisconnect (0.2.1) unstable; urgency=low

  * Fix [#5236] : Disconnection always happens when interface is up since more than 10MB

  * Minor enhancement : display notification when settings are saved.

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Mon, 22 Feb 2010 16:04:16 +0100

## autodisconnect 0.2.2

=== debian/changelog ===
autodisconnect (0.2.2) unstable; urgency=low

  * Fix : Max Idle Traffic was a value per second instead of minute
  * Minor Fix : UI Interface - Spelling Traffic instead of Trafic (french)

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Mon, 22 Feb 2010 18:13:55 +0100

## autodisconnect 0.3

=== Makefile ===
#############################################################################
# Makefile for building: autodisconnect
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 3 03:43:00 2010
# Project:  autodisconnect.pro
# Template: subdirs
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile autodisconnect.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /opt/qt4-maemo5/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-src

src/$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/calvin/dev/autodisconnect/src/src.pro -unix -o $(MAKEFILE)
sub-src-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) src/ || $(MKDIR) src/ 
	cd src/ && $(QMAKE) /home/calvin/dev/autodisconnect/src/src.pro -unix -o $(MAKEFILE)
sub-src: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE)
sub-src-make_default: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) 
sub-src-make_first: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) first
sub-src-all: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) all
sub-src-clean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) clean
sub-src-distclean: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) distclean
sub-src-install_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) install
sub-src-uninstall_subtargets: src/$(MAKEFILE) FORCE
	cd src/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: autodisconnect.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile autodisconnect.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -unix -o Makefile autodisconnect.pro

qmake_all: sub-src-qmake_all FORCE

make_default: sub-src-make_default FORCE
make_first: sub-src-make_first FORCE
all: sub-src-all FORCE
clean: sub-src-clean FORCE
distclean: sub-src-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-src-install_subtargets FORCE
uninstall_subtargets: sub-src-uninstall_subtargets FORCE

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== src/Makefile ===
#############################################################################
# Makefile for building: autodisconnect
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon May 3 02:16:51 2010
# Project:  src.pro
# Template: app
# Command: /opt/qt4-maemo5/bin/qmake -unix -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_MAEMO5_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtMaemo5 -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtMaemo5 -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qt4-maemo5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/qtmain.cpp \
		src/mainwindow.cpp \
		src/utils.cpp moc_mainwindow.cpp
OBJECTS       = qtmain.o \
		mainwindow.o \
		utils.o \
		moc_mainwindow.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = autodisconnect
DESTDIR       = 
TARGET        = autodisconnect

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: src.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtMaemo5.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile src.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/link_pkgconfig.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtMaemo5.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/autodisconnect1.0.0 || $(MKDIR) .tmp/autodisconnect1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/autodisconnect1.0.0/ && $(COPY_FILE) --parents src/mainwindow.h src/utils.h .tmp/autodisconnect1.0.0/ && $(COPY_FILE) --parents src/qtmain.cpp src/mainwindow.cpp src/utils.cpp .tmp/autodisconnect1.0.0/ && $(COPY_FILE) --parents uis/mainwindow.ui .tmp/autodisconnect1.0.0/ && (cd `dirname .tmp/autodisconnect1.0.0` && $(TAR) autodisconnect1.0.0.tar autodisconnect1.0.0 && $(COMPRESS) autodisconnect1.0.0.tar) && $(MOVE) `dirname .tmp/autodisconnect1.0.0`/autodisconnect1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/autodisconnect1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp
moc_mainwindow.cpp: src/mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) src/mainwindow.h -o moc_mainwindow.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h
ui_mainwindow.h: uis/mainwindow.ui
	/opt/qt4-maemo5/bin/uic uis/mainwindow.ui -o ui_mainwindow.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

qtmain.o: src/qtmain.cpp src/mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qtmain.o src/qtmain.cpp

mainwindow.o: src/mainwindow.cpp src/utils.h \
		src/mainwindow.h \
		ui_mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o mainwindow.o src/mainwindow.cpp

utils.o: src/utils.cpp src/utils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o utils.o src/utils.cpp

moc_mainwindow.o: moc_mainwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_mainwindow.o moc_mainwindow.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/autodisconnect//opt/autodisconnect/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/autodisconnect//opt/autodisconnect/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/../../debian/autodisconnect/opt/autodisconnect/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/../../debian/autodisconnect/opt/autodisconnect/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/autodisconnect//opt/autodisconnect/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/calvin/dev/autodisconnect/src/data/autodisconnect.desktop $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/applications/hildon/autodisconnect.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/applications/hildon/ 


install_service: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/dbus-1/services/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/dbus-1/services/ 
	-$(INSTALL_FILE) /home/calvin/dev/autodisconnect/src/data/autodisconnect.service $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/dbus-1/services/


uninstall_service:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/dbus-1/services/autodisconnect.service
	-$(DEL_DIR) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/dbus-1/services/ 


install_icon64: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_FILE) /home/calvin/dev/autodisconnect/src/data/64x64/autodisconnect.png $(INSTALL_ROOT)/../../debian/autodisconnect//usr/share/icons/hicolor/64x64/apps/

=== debian/changelog ===
autodisconnect (0.3) unstable; urgency=low

  * New feature [#5260] : Add option "Disable when plugged in" - Reporter : phedders
  * New feature [#5662] : Add option "Disable Bluetooth if no device is connected" - Reporter : DaSilva
  * New feature [#5233] : Add option "Do not disconnect if ssh connections are active" - Reporter : fred123
  * New feature [#5659] : Limit can now be set in B/KB/MB

  * Fix : New Installer (AutoDisconnect didn't work  anymore when reinstalled)

  * Enhancement : UI has been reorganized an now uses tabs

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Sat,  1 May 2010 22:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Aymeric Brisse <aymeric.brisse@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev
+Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev, libnotify-dev
 Standards-Version: 3.7.2
 Homepage: autodisconnect.garage.maemo.org/

## autodisconnect 0.3.1

=== debian/changelog ===
autodisconnect (0.3.1) unstable; urgency=low

  * Enhancement : Bluetooth settings changes are now taken in account at the next check

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Mon,  3 May 2010 14:49:18 +0200

## autodisconnect 0.3.1-2

=== debian/changelog ===
autodisconnect (0.3.1-2) unstable; urgency=low

  * Update Description

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Wed,  5 May 2010 19:20:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,10 @@
 Package: autodisconnect
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Automatically disconnect the idle connections
- The package contains a GUI (Category Network) in order for you to set some parameters :
- * the connections to check (Wifi or 3G)
- * the interval between 2 checks (in minutes)
- * the max idle traffic (in bytes / minute)
- ---------------------------------------
- Exemple
- ---------------------------------------
- Max Idle Traffic = 512 Bytes
- Interval = 5 Minutes 
- -
- Every 5 minutes, if the total traffic of your connection if less than 512*5 = 2.5 KB, it won't be closed. 
- -
- Remark : In order for the settings to be applied, you have to close the current connection.
+Description: Automatically closes your idle connections (Wifi + 3G/GPRS + Bluetooth) in order for your batteries to last much longer if like me you have automatic synchronizations.
+ To manage the application, you can launch the program 'AutoDisconnect' which will be added in your application menu.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=5016&group_id=1353&func=browse
+XB-Maemo-Upgrade-Description: Fixed Bluetooth feature.
 XSBC-Maemo-Display-Name: AutoDisconnect
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0

## autodisconnect 0.4

=== debian/changelog ===
autodisconnect (0.4) unstable; urgency=low

  * New feature [#5732] : Switch 2G <-> 3G - Reporter : automagic68  
  * New feature [#5700] : Do not disconnect when openvpn is running - Reporter : maddler
  * New feature [#5738] : Do not disconnect when VoIP or an IM Account (Google Talk, Skype) is used
  * New feature [#5310] : Each connection (gprs and wlan) has its own settings
  * New feature [#5221] : Control Panel Applet - Reporter : pillar

  * Fix [#5733] : Bluetooth is disconnected when the FM Radio is used - Reporter DaSilva

  * Enhancement : Bluetooth manager has been updated and is not loaded anymore when not activated
  * Change default settings & Others enhancements

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Thu, 13 May 2010 22:12:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: user/network
 Priority: extra
 Maintainer: Aymeric Brisse <aymeric.brisse@gmail.com>
-Build-Depends: debhelper (>= 5), libqt4-maemo5-dev, libgconf2-dev, libnotify-dev
+Build-Depends: debhelper (>= 5), libgtk2.0-dev, libqt4-maemo5-dev, libgconf2-dev, libosso-dev
 Standards-Version: 3.7.2
-Homepage: autodisconnect.garage.maemo.org/
+Homepage: http://github.com/abrisse/AutoDisconnect
 
 Package: autodisconnect
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

APPNAME := autodisconnect
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && /opt/qt4-maemo5/bin/qmake ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/arora.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## autodisconnect 0.4-1

=== debian/changelog ===
autodisconnect (0.4-1) unstable; urgency=low

  * Fix Installer

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Thu, 20 May 2010 04:37:46 +0200

## autodisconnect 0.4-2

=== debian/changelog ===
autodisconnect (0.4-2) unstable; urgency=low

  * Use of PR 1.2 Qt libraries

 -- Aymeric Brisse <aymeric.brisse@gmail.com>  Tue,  1 Jun 2010 17:43:13 +0200

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && /opt/qt4-maemo5/bin/qmake ../$(APPNAME).pro
+	cd builddir && qmake ../$(APPNAME).pro
 
 build: build-stamp
